import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { wrapAxios, AxiosLayer } from './wrap';
export declare type CreateOpts = {
    layers: AxiosLayer[];
    config?: AxiosRequestConfig;
    axiosInstance?: AxiosInstance;
};
declare type ExtendableAxios = AxiosInstance & {
    extend: {
        (...layers: AxiosLayer[]): ExtendableAxios;
        (config: AxiosRequestConfig): ExtendableAxios;
    };
};
export declare function create(options: CreateOpts): ExtendableAxios;
export * from './wrap';
declare const _default: {
    create: typeof create;
    wrapAxios: typeof wrapAxios;
};
export default _default;
